#ifndef __ULIB_H__
#define __ULIB_H__

#include <stdlib.h>

#include <header/Ulib0.h>
#include <header/Object.h>
#include <header/Window.h>
#include <header/TextBox.h>
#include <header/Control.h>
#include <header/Label.h>
#include <header/Button.h>
#include <header/GraphBox.h>
#include <header/ULString.h>
#include <header/SignalBox.h>


void* operator new(size_t size)
{
    return (void *) malloc(size);
}

void operator delete(void* address)
{
    free(address);
	address = NULL;
}
void* operator new[](size_t size)
{
    return (void *) malloc(size);
}
void  operator delete[](void* address)
{
    free(address);
	address = NULL;
}

#endif
